## libticalcs 1.1.3+dfsg1

=== build/mingw/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# build/mingw/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libticalcs2
pkglibdir = $(libdir)/libticalcs2
pkgincludedir = $(includedir)/libticalcs2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = build/mingw
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DATA = $(noinst_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/libticalcs2-1.1.3/missing --run aclocal-1.10
ALLOCA = 
AMTAR = ${SHELL} /tmp/libticalcs2-1.1.3/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /tmp/libticalcs2-1.1.3/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/libticalcs2-1.1.3/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/libticalcs2-1.1.3/missing --run automake-1.10
AWK = mawk
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D__LINUX__ -fvisibility=hidden
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = 
CXXDEPMODE = depmode=none
CXXFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GENCAT = gencat
GLIBC2 = yes
GLIBC21 = yes
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LIBICONV = 
LIBINTL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPTH = 
LIBS = 
LIBTHREAD = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBPTH = 
LTLIBTHREAD = 
LT_LIBVERSION = 7:2:0
MAINT = #
MAKEINFO = ${SHELL} /tmp/libticalcs2-1.1.3/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJDUMP = objdump
OBJEXT = o
PACKAGE = libticalcs2
PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
PACKAGE_NAME = libticalcs2
PACKAGE_STRING = libticalcs2 1.1.3
PACKAGE_TARNAME = libticalcs2
PACKAGE_VERSION = 1.1.3
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POSUB = po
PRI_MACROS_BROKEN = 0
RANLIB = ranlib
RC = windres
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TFDOCGEN = yes
TICABLES_CFLAGS = -I/usr/include/tilp2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
TICABLES_LIBS = -lticables2 -lglib-2.0  
TICONV_CFLAGS = -I/usr/include/tilp2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
TICONV_LIBS = -lticonv -lglib-2.0  
TIFILES_CFLAGS = -I/usr/include/tilp2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
TIFILES_LIBS = -ltifiles2 -lticonv -lglib-2.0  
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.1.3
WOE32DLL = no
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
abs_builddir = /tmp/libticalcs2-1.1.3/build/mingw
abs_srcdir = /tmp/libticalcs2-1.1.3/build/mingw
abs_top_builddir = /tmp/libticalcs2-1.1.3
abs_top_srcdir = /tmp/libticalcs2-1.1.3
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /tmp/libticalcs2-1.1.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../..
top_srcdir = ../..
BASE = ticalcs2
EXTRA_DIST = $(BASE).rc
#noinst_DATA = $(BASE)-rc.o
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  build/mingw/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  build/mingw/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am

RC	?= windres

#all: $(BASE)-rc.o

#$(BASE)-rc.o : $(BASE).rc
#	$(RC) $(BASE).rc $@
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## libticalcs 1.1.8%2Bdfsg2

=== debian/changelog ===
libticalcs (1.1.8+dfsg2-2) unstable; urgency=low

  * Provide original upstream source, but patch away pre-compiled
    binaries to be policy-compliant.
  * Remove unnecessary dependency on 'autopoint', use autoreconf.

 -- Andreas B. Mundt <andi@debian.org>  Tue, 27 Aug 2013 19:58:21 +0200

libticalcs (1.1.8+dfsg-1) unstable; urgency=low

  * Team maintained in Debian-Science now (closes: #678871).
  * New upstream release in cooperation with Albert Huang
    <alberth.debian@gmail.com>, thanks!
  * Add patch that supports external ROM dumpers which have been removed
    for DFSG compliance.
  * Remove binaries from source tarball.
  * Add debug package to provide debugging symbols.
  * Add support for multiarch.
  * Add 'debian/watch' to enable upstream release tracking.
  * Bump versions of libti* dependencies.
  * Switch to packaging format 3.0 (quilt), bump 'debian/compat' to 9.
  * Bump Standards-Version to 3.9.4.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 09 Aug 2013 22:32:15 +0200

libticalcs (1.1.3+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #505822)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Fri, 19 Jun 2009 00:15:05 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:

	dh $@  --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=libticalcs2-11-dbg

override_dh_clean:
	dh_clean --exclude=build/mingw/ticalcs2.rc~

.PHONY: override_dh_strip

## libticalcs 1.1.8+dfsg2

=== build/mingw/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# build/mingw/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/libticalcs2
pkgincludedir = $(includedir)/libticalcs2
pkglibdir = $(libdir)/libticalcs2
pkglibexecdir = $(libexecdir)/libticalcs2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = i686-w64-mingw32
subdir = build/mingw
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(noinst_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/debrouxl/tilp/libticalcs/trunk/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AR = i686-w64-mingw32-ar
AS = i686-w64-mingw32-as
AUTOCONF = ${SHELL} /home/debrouxl/tilp/libticalcs/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/debrouxl/tilp/libticalcs/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/debrouxl/tilp/libticalcs/trunk/missing --run automake-1.11
AWK = gawk
CC = i686-w64-mingw32-gcc
CCDEPMODE = depmode=gcc3
CC_FOR_BUILD = gcc
CFLAGS = -Os -g3 -Wall -W -Wno-unused-parameter -Wshadow -Wwrite-strings -Wredundant-decls -Werror=declaration-after-statement -Werror=implicit-function-declaration -D_FORTIFY_SOURCE=2 -D__WIN32__ -D__MINGW32__ -mms-bitfields
CFLAGS_FOR_BUILD = 
CPP = i686-w64-mingw32-gcc -E
CPPFLAGS = -I/home/debrouxl/lpg/deps/gtk-win32/include -I/usr/i686-w64-mingw32/include/ddk -I/home/debrouxl/lpg/depsprefix/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = i686-w64-mingw32-dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = .exe
FGREP = /bin/grep -F
GETTEXT_MACRO_VERSION = 0.17
GLIB_CFLAGS = -I/target/include/glib-2.0 -I/target/lib/glib-2.0/include  
GLIB_LIBS = -L/target/lib -lglib-2.0 -lintl  
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = /home/debrouxl/lpg/deps/gtk-win32/lib/libintl.dll.a -L/home/debrouxl/lpg/deps/gtk-win32/lib
INTL_MACOSX_LIBS = 
LD = /usr/bin/i686-w64-mingw32-ld
LDFLAGS = -L/home/debrouxl/lpg/deps/gtk-win32/lib -I/home/debrouxl/lpg/depsprefix/lib
LIBICONV = /home/debrouxl/lpg/deps/gtk-win32/lib/libiconv.dll.a -L/home/debrouxl/lpg/deps/gtk-win32/lib
LIBINTL = /home/debrouxl/lpg/deps/gtk-win32/lib/libintl.dll.a -L/home/debrouxl/lpg/deps/gtk-win32/lib
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -L/home/debrouxl/lpg/deps/gtk-win32/lib -liconv -R/home/debrouxl/lpg/deps/gtk-win32/lib
LTLIBINTL = -L/home/debrouxl/lpg/deps/gtk-win32/lib -lintl -R/home/debrouxl/lpg/deps/gtk-win32/lib
LTLIBOBJS = 
LT_LIBVERSION = 11:3:0
MAINT = #
MAKEINFO = ${SHELL} /home/debrouxl/tilp/libticalcs/trunk/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/i686-w64-mingw32-nm -B
NMEDIT = 
OBJDUMP = i686-w64-mingw32-objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libticalcs2
PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
PACKAGE_NAME = libticalcs2
PACKAGE_STRING = libticalcs2 1.1.8
PACKAGE_TARNAME = libticalcs2
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.8
PATH_SEPARATOR = :
PKG_CONFIG = /home/debrouxl/bin/i686-w64-mingw32-pkg-config
PKG_CONFIG_LIBDIR = /home/debrouxl/lpg/pkgconfig
PKG_CONFIG_PATH = /home/debrouxl/lpg/packages/lib/pkgconfig:/home/debrouxl/lpg/deps/gtk-win32/lib/pkgconfig:/home/debrouxl/lpg/depsprefix/lib/pkgconfig:/home/Lionel_Debroux/lib/pkgconfig:
POSUB = po
RANLIB = i686-w64-mingw32-ranlib
RC = i686-w64-mingw32-windres
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPASM = spasm
STRIP = i686-w64-mingw32-strip
TFDOCGEN = yes
TICABLES_CFLAGS = -I/home/debrouxl/lpg/packages/include/tilp2 -I/target/include/glib-2.0 -I/target/lib/glib-2.0/include  
TICABLES_LIBS = -L/home/debrouxl/lpg/packages/lib -L/target/lib -lticables2 -lglib-2.0 -lintl  
TICONV_CFLAGS = -I/home/debrouxl/lpg/packages/include/tilp2 -I/target/include/glib-2.0 -I/target/lib/glib-2.0/include  
TICONV_LIBS = -L/home/debrouxl/lpg/packages/lib -L/target/lib -lticonv -lglib-2.0 -lintl  
TIFILES_CFLAGS = -I/home/debrouxl/lpg/packages/include/tilp2 -I/target/include/glib-2.0 -I/target/lib/glib-2.0/include -I/home/debrouxl/lpg/depsprefix/include  
TIFILES_LIBS = -L/home/debrouxl/lpg/packages/lib -L/target/lib -ltifiles2 -lticonv -lglib-2.0 -lintl  
TIPACK = tipack
USE_NLS = yes
VERSION = 1.1.8
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
abs_builddir = /home/debrouxl/tilp/libticalcs/trunk/build/mingw
abs_srcdir = /home/debrouxl/tilp/libticalcs/trunk/build/mingw
abs_top_builddir = /home/debrouxl/tilp/libticalcs/trunk
abs_top_srcdir = /home/debrouxl/tilp/libticalcs/trunk
ac_ct_AR = 
ac_ct_CC = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-w64-mingw32
host_alias = i686-w64-mingw32
host_cpu = i686
host_os = mingw32
host_vendor = w64
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/debrouxl/tilp/libticalcs/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/debrouxl/lpg/packages
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
BASE = ticalcs2
EXTRA_DIST = $(BASE).rc
noinst_DATA = $(BASE)-rc.o
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu build/mingw/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu build/mingw/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:

=== debian/changelog ===
libticalcs (1.1.8+dfsg2-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Switch to secure URI for vcs-field.

 -- Andreas B. Mundt <andi@debian.org>  Thu, 01 Dec 2016 21:22:55 +0300

=== debian/control ===
Source: libticalcs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               gettext,
               libarchive-dev,
               libglib2.0-dev,
               libticables-dev (>= 1.3.4),
               libticonv-dev (>= 1.1.4),
               libtifiles-dev (>= 1.1.6),
               pkg-config,
               tfdocgen
Standards-Version: 3.9.8
Section: libs
Homepage: http://lpg.ticalc.org/prj_tilp/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libticalcs.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/libticalcs.git

Package: libticalcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         libticables-dev,
         libticalcs2-11 (= ${binary:Version}),
         libticonv-dev,
         libtifiles-dev,
         pkg-config,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Texas Instruments calculator communication library [development files]
 The libticalcs is a library providing support for communication with Texas
 Instruments calculators. It implements the TI protocol for each type of
 calculator, independently of the link cable used to establish the link.
 .
 All graphing calculators from Texas Instruments are supported.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libticalcs2-11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libticalcs2-7
Conflicts: libticalcs2-7
Description: Texas Instruments calculator communication library
 The libticalcs is a library providing support for communication with Texas
 Instruments calculators. It implements the TI protocol for each type of
 calculator, independently of the link cable used to establish the link.
 .
 All graphing calculators from Texas Instruments are supported.
 .
 This package provides the shared library.

Package: libticalcs2-11-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libticalcs2-11 (= ${binary:Version}), ${misc:Depends}
Description: Texas Instruments calculator communication library [debugging symbols]
 The libticalcs is a library providing support for communication with Texas
 Instruments calculators. It implements the TI protocol for each type of
 calculator, independently of the link cable used to establish the link.
 .
 All graphing calculators from Texas Instruments are supported.
 .
 This package provides the debugging symbols for the library.

## libticalcs 1.1.9+dfsg

=== debian/changelog ===
libticalcs (1.1.9+dfsg-2) unstable; urgency=medium

  * Implement autopkgtest.  Run upstream checks linked to installed libs.
  * Install upstream changelog.

 -- Andreas B. Mundt <andi@debian.org>  Tue, 22 May 2018 19:41:37 +0300

libticalcs (1.1.9+dfsg-1) unstable; urgency=medium

  * DEP-5 copyright and update 'debian/watch'.
  * New upstream version 1.1.9+dfsg
  * Update patch (rom dumps).
  * Update Vcs-* links to 'salsa.debian.org'.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump compatibility level to 11, remove -dbg package entry.
  * Update dependencies and 'rules'.
  * Bump SONAME and update symbols file.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 18 May 2018 16:39:42 +0300

=== debian/control ===
Source: libticalcs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper (>= 11.0.0),
               gettext,
               libarchive-dev,
               libglib2.0-dev,
               libticables-dev (>= 1.3.5),
               libticonv-dev (>= 1.1.5),
               libtifiles-dev (>= 1.1.7),
               pkg-config,
               tfdocgen
Standards-Version: 4.1.4
Section: libs
Homepage: http://lpg.ticalc.org/prj_tilp/
Vcs-Git: https://salsa.debian.org/science-team/libticalcs.git
Vcs-Browser: https://salsa.debian.org/science-team/libticalcs

Package: libticalcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         libticables-dev,
         libticalcs2-12 (= ${binary:Version}),
         libticonv-dev,
         libtifiles-dev,
         pkg-config,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Texas Instruments calculator communication library [development files]
 The libticalcs is a library providing support for communication with Texas
 Instruments calculators. It implements the TI protocol for each type of
 calculator, independently of the link cable used to establish the link.
 .
 All graphing calculators from Texas Instruments are supported.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libticalcs2-12
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libticalcs2-10
Conflicts: libticalcs2-10
Description: Texas Instruments calculator communication library
 The libticalcs is a library providing support for communication with Texas
 Instruments calculators. It implements the TI protocol for each type of
 calculator, independently of the link cable used to establish the link.
 .
 All graphing calculators from Texas Instruments are supported.
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:

	dh $@  --with autoreconf

override_dh_clean:
	dh_clean --exclude=build/mingw/ticalcs2.rc~

=== debian/tests/control ===
Tests: make-check
Depends: @builddeps@, libticalcs-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg" \
http://sf.net/tilp/libticalcs2-(.+)\.tar\.bz2

## libticalcs 1.1.10~git20220301.8ffa244+dfsg

=== debian/changelog ===
libticalcs (1.1.10~git20220301.8ffa244+dfsg-1) unstable; urgency=medium

  * Prepare for salsa-ci.
  * Document upstream sources and tarball handling.
  * Update upstream homepage URL.
  * New upstream version 1.1.10~git20220301.8ffa244+dfsg
  * Bump Standards-Version and dh compat level (no changes needed).
  * Refresh patches and update dependencies.
  * Fix missing docs.
  * Bump SONAME and update symbols file.

 -- Andreas B. Mundt <andi@debian.org>  Thu, 11 Aug 2022 22:37:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
-Build-Depends: debhelper (>= 11.0.0),
+Build-Depends: debhelper-compat (= 13),
                gettext,
                libarchive-dev,
                libglib2.0-dev,
-               libticables-dev (>= 1.3.5),
-               libticonv-dev (>= 1.1.5),
-               libtifiles-dev (>= 1.1.7),
+               libticables-dev (>= 1.3.6~git20220301.8ffa244),
+               libticonv-dev (>= 1.1.6~git20220301.8ffa244),
+               libtifiles-dev (>= 1.1.8~git20220301.8ffa244),
+               libusb-1.0-0-dev,
                pkg-config,
                tfdocgen
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Section: libs
-Homepage: http://lpg.ticalc.org/prj_tilp/
+Homepage: https://github.com/debrouxl/tilibs
 Vcs-Git: https://salsa.debian.org/science-team/libticalcs.git
 Vcs-Browser: https://salsa.debian.org/science-team/libticalcs
 
@@ -23,7 +25,7 @@
 Multi-Arch: same
 Depends: libglib2.0-dev,
          libticables-dev,
-         libticalcs2-12 (= ${binary:Version}),
+         libticalcs2-13 (= ${binary:Version}),
          libticonv-dev,
          libtifiles-dev,
          pkg-config,
@@ -39,13 +41,13 @@
  This package provides the development files for the library, static library,
  required headers and documentation.
 
-Package: libticalcs2-12
+Package: libticalcs2-13
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libticalcs2-10
-Conflicts: libticalcs2-10
+Replaces: libticalcs2-12
+Conflicts: libticalcs2-12
 Description: Texas Instruments calculator communication library
  The libticalcs is a library providing support for communication with Texas
  Instruments calculators. It implements the TI protocol for each type of

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.1.10~git%cd.%h ,dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg1" \
https://github.com/debrouxl/tilibs/ \
HEAD

## libticalcs 1.1.10~git20221211.4646a7b%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
                gettext,
                libarchive-dev,
                libglib2.0-dev,
-               libticables-dev (>= 1.3.6~git20220301.8ffa244),
-               libticonv-dev (>= 1.1.6~git20220301.8ffa244),
-               libtifiles-dev (>= 1.1.8~git20220301.8ffa244),
+               libticables-dev,
+               libticonv-dev,
+               libtifiles-dev,
                libusb-1.0-0-dev,
                pkg-config,
                tfdocgen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/debrouxl/tilibs

## libticalcs 1.1.10~git20221211.4646a7b+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(libticalcs2
        VERSION     1.1.10
        LANGUAGES   CXX)

file(GLOB HEADER_FILES src/*.h)
set(SRC_FILES
        ${HEADER_FILES}
        src/backup.cc
        src/calc_00.cc
        src/calc_73.cc
        src/calc_84p.cc
        src/calc_89t.cc
        src/calc_8x.cc
        src/calc_9x.cc
        src/calc_nsp.cc
        src/calc_xx.cc
        src/clock.cc
        src/cmd68k.cc
        src/cmdz80.cc
        src/dbus_pkt.cc
        src/dirlist.cc
        src/dusb_cmd.cc
        src/dusb_rpkt.cc
        src/dusb_vpkt.cc
        src/error.cc
        src/keys73.cc
        src/keys83.cc
        src/keys83p.cc
        src/keys86.cc
        src/keys89.cc
        src/keys92p.cc
        src/nsp_cmd.cc
        src/nsp_rpkt.cc
        src/nsp_vpkt.cc
        src/probe.cc
        src/romdump.cc
        src/screen.cc
        src/ticalcs.cc
        src/tikeys.cc
        src/type2str.cc
        src/update.cc)

set(PUBLIC_HEADERS
        src/ticalcs.h
        src/export3.h
        src/keys73.h
        src/keys83.h
        src/keys83p.h
        src/keys86.h
        src/keys89.h
        src/keys92p.h
        src/dbus_pkt.h
        src/dusb_rpkt.h
        src/dusb_vpkt.h
        src/dusb_cmd.h
        src/nsp_rpkt.h
        src/nsp_vpkt.h
        src/nsp_cmd.h
        src/cmdz80.h
        src/cmd68k.h)

# external deps lookup
pkg_check_modules(DEPS REQUIRED glib-2.0 ticonv ticables2 tifiles2 zlib)

try_static_libs_if_needed()

# auto-creation of all targets with flags etc., alongside with internal deps
create_targets_both_lib_types(ticalcs2 tifiles2 ticables2 ticonv)

set_target_properties(ticalcs2_shared PROPERTIES VERSION 13.0.3 SOVERSION 13)

if(TRY_STATIC_LIBS)
    find_package(BZip2 REQUIRED) # Needed for some reason
    target_link_libraries(ticalcs2_shared ${BZIP2_LIBRARIES})
endif()

# Takes care of the i18n po/pot/gmo/mo files
if(ENABLE_NLS)
    i18n_mo_from_po_pot()
    add_dependencies(ticalcs2_objlib potfiles_3)
endif()

# internal deps
add_dependencies(ticalcs2_objlib buildandinstall_libticonv buildandinstall_libticables2 buildandinstall_libtifiles2)

# public export define
target_compile_definitions(ticables2_objlib PUBLIC TICALCS_EXPORTS)

# tests
add_subdirectory(tests)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(libticalcs2-tests
        LANGUAGES   C CXX)

add_executable(torture_ticalcs torture_ticalcs.c)
add_executable(test_ticalcs_2 test_ticalcs_2.cc)

pkg_check_modules(DEPS REQUIRED glib-2.0)

foreach(tar torture_ticalcs test_ticalcs_2)
    target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})

    target_include_directories(${tar} PRIVATE
        ${CMAKE_SOURCE_DIR}/libticonv/trunk/src
        ${CMAKE_SOURCE_DIR}/libtifiles/trunk/src
        ${CMAKE_SOURCE_DIR}/libticables/trunk/src
        ${CMAKE_SOURCE_DIR}/libticalcs/trunk/src)

    target_link_libraries(${tar} ticonv_shared tifiles2_shared ticables2_shared ticalcs2_shared "${DEPS_LDFLAGS}" ${DEPS_LIBRARIES})
endforeach()

set(builddirlibpaths "${CMAKE_BINARY_DIR}/libticonv/trunk:${CMAKE_BINARY_DIR}/libtifiles/trunk:${CMAKE_BINARY_DIR}/libticables/trunk:${CMAKE_BINARY_DIR}/libticalcs/trunk")

add_custom_target(ticalcs2_check
    COMMAND ${CMAKE_COMMAND} -E env LD_LIBRARY_PATH="${builddirlibpaths}" ${CMAKE_CURRENT_BINARY_DIR}/torture_ticalcs
    DEPENDS torture_ticalcs
    COMMENT "Run the ticalcs2 torture tests"
    EXCLUDE_FROM_ALL
)

=== debian/changelog ===
libticalcs (1.1.10~git20221211.4646a7b+dfsg-2) unstable; urgency=medium

  * Drop versioned constraints on -dev packages.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 30 Dec 2022 19:25:44 +0100

libticalcs (1.1.10~git20221211.4646a7b+dfsg-1) unstable; urgency=medium

  * Extract sources for our package from upstream git automatically.
  * Fix hardening: Add CPPFLAGS and LDFLAGS.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Skip DFSG repack-count number in watch file.
  * New upstream version 1.1.10~git20221211.4646a7b+dfsg

 -- Andreas B. Mundt <andi@debian.org>  Fri, 30 Dec 2022 10:07:31 +0100

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=1.1.10~git%cd.%h,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/debrouxl/tilibs/ \
HEAD debian debian/clean-orig-source

## libticalcs 1.1.10~git20230505.27586cc+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.12)
 
 project(libticalcs2
         VERSION     1.1.10
@@ -45,6 +45,7 @@
 set(PUBLIC_HEADERS
         src/ticalcs.h
         src/export3.h
+        src/romdump.h
         src/keys73.h
         src/keys83.h
         src/keys83p.h
@@ -62,7 +63,11 @@
         src/cmd68k.h)
 
 # external deps lookup
-pkg_check_modules(DEPS REQUIRED glib-2.0 ticonv ticables2 tifiles2 zlib)
+if(TRY_STATIC_LIBS)
+    # from libticables and libtifiles...
+    set(external_deps_if_static "libusb-1.0>=1.0.16" "libarchive")
+endif()
+pkg_check_modules(DEPS REQUIRED glib-2.0 zlib ${external_deps_if_static})
 
 try_static_libs_if_needed()
 
@@ -71,7 +76,11 @@
 
 set_target_properties(ticalcs2_shared PROPERTIES VERSION 13.0.3 SOVERSION 13)
 
-if(TRY_STATIC_LIBS)
+# there are relocation issues when linking BZip2 and zlib on linux:
+#   /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libbz2.a(bzlib.o): relocation R_X86_64_PC32 against symbol `BZ2_crc32Table'
+#   /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libz.a(deflate.o): relocation R_X86_64_PC32 against symbol `z_errmsg'
+#                can not be used when making a shared object; recompile with -fPIC
+if(TRY_STATIC_LIBS AND NOT LINUX)
     find_package(BZip2 REQUIRED) # Needed for some reason
     target_link_libraries(ticalcs2_shared ${BZIP2_LIBRARIES})
 endif()
@@ -82,11 +91,8 @@
     add_dependencies(ticalcs2_objlib potfiles_3)
 endif()
 
-# internal deps
-add_dependencies(ticalcs2_objlib buildandinstall_libticonv buildandinstall_libticables2 buildandinstall_libtifiles2)
-
 # public export define
-target_compile_definitions(ticables2_objlib PUBLIC TICALCS_EXPORTS)
+target_compile_definitions(ticalcs2_objlib PUBLIC TICALCS_EXPORTS)
 
 # tests
 add_subdirectory(tests)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.12)
 
 project(libticalcs2-tests
         LANGUAGES   C CXX)
@@ -6,7 +6,7 @@
 add_executable(torture_ticalcs torture_ticalcs.c)
 add_executable(test_ticalcs_2 test_ticalcs_2.cc)
 
-pkg_check_modules(DEPS REQUIRED glib-2.0)
+pkg_check_modules(DEPS REQUIRED glib-2.0 libusb-1.0>=1.0.16 libarchive zlib)
 
 foreach(tar torture_ticalcs test_ticalcs_2)
     target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})
@@ -17,7 +17,14 @@
         ${CMAKE_SOURCE_DIR}/libticables/trunk/src
         ${CMAKE_SOURCE_DIR}/libticalcs/trunk/src)
 
-    target_link_libraries(${tar} ticonv_shared tifiles2_shared ticables2_shared ticalcs2_shared "${DEPS_LDFLAGS}" ${DEPS_LIBRARIES})
+    target_link_directories(${tar} PRIVATE
+        ${DEPS_LIBRARY_DIRS}
+        ${CMAKE_BINARY_DIR}/libticonv/trunk
+        ${CMAKE_BINARY_DIR}/libtifiles/trunk
+        ${CMAKE_BINARY_DIR}/libticables/trunk
+        ${CMAKE_BINARY_DIR}/libticalcs/trunk)
+
+    target_link_libraries(${tar} ${DEPS_LIBRARIES} ticonv_shared tifiles2_shared ticables2_shared ticalcs2_shared)
 endforeach()
 
 set(builddirlibpaths "${CMAKE_BINARY_DIR}/libticonv/trunk:${CMAKE_BINARY_DIR}/libtifiles/trunk:${CMAKE_BINARY_DIR}/libticables/trunk:${CMAKE_BINARY_DIR}/libticalcs/trunk")

=== debian/changelog ===
libticalcs (1.1.10~git20230505.27586cc+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.10~git20230505.27586cc+dfsg
  * Update symbols file and fix patch.
  * Remove files not cleaned up properly. (Closes: #1047246).

 -- Andreas B. Mundt <andi@debian.org>  Wed, 16 Aug 2023 09:13:04 +0200

## libticalcs 1.1.10~git20231126.f67c953+dfsg

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(libticalcs2-tests
        LANGUAGES   CXX)

add_executable(torture_ticalcs torture_ticalcs.cc)
add_executable(test_ticalcs_2 test_ticalcs_2.cc)

if(WIN32)
    pkg_check_modules(DEPS REQUIRED glib-2.0 libarchive)
    list(APPEND DEPS_LIBRARIES "libusb0")
    list(APPEND DEPS_STATIC_LIBRARIES "libusb0")
else()
    pkg_check_modules(DEPS REQUIRED glib-2.0 libarchive libusb-1.0>=1.0.16)
    # Needed for the .pc files configured in the function below.
    set(TICABLES_LIBUSB_REQUIRES_PRIVATE "libusb-1.0")
endif()

if(WIN32 AND NOT MINGW)
    find_library(GETOPT_LIB getopt REQUIRED)
endif()

if(USE_ICONV)
    find_package(Iconv REQUIRED)
    # flags/link for external deps
    add_compile_definitions(USE_ICONV)
endif()

foreach(tar torture_ticalcs test_ticalcs_2)
    if(Iconv_FOUND AND NOT Iconv_IS_BUILT_IN)
        target_include_directories(${tar} PRIVATE ${Iconv_INCLUDE_DIRS})
        target_link_libraries(${tar} ${Iconv_LIBRARIES})
    endif()

    if(GETOPT_LIB)
        target_link_libraries(${tar} ${GETOPT_LIB})
    endif()

    target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})

    target_include_directories(${tar} PRIVATE
        ${PROJECT_SOURCE_DIR}/../../../libticonv/trunk/src
        ${PROJECT_SOURCE_DIR}/../../../libtifiles/trunk/src
        ${PROJECT_SOURCE_DIR}/../../../libticables/trunk/src
        ${PROJECT_SOURCE_DIR}/../src)

    if(TRY_STATIC_LIBS)
        target_compile_options(${tar} PRIVATE ${DEPS_STATIC_CFLAGS})
        target_link_directories(${tar} PRIVATE ${TRY_STATIC_DEPS_LIBSDIRS})
        target_link_libraries(${tar} ${TRY_STATIC_DEPS_LDFLAGS_OTHER} ${TRY_STATIC_DEPS_LIBS} ticonv_objlib tifiles2_objlib ticables2_objlib ticalcs2_objlib)
    else()
        target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})
        target_link_directories(${tar} PRIVATE ${DEPS_LIBRARY_DIRS} ${PROJECT_BINARY_DIR}/..)
        target_link_libraries(${tar} ${DEPS_LIBRARIES} ticonv_objlib tifiles2_objlib ticables2_objlib ticalcs2_objlib)
    endif()
endforeach()

set(builddirlibpaths "${PROJECT_BINARY_DIR}/../../../libticonv/trunk:${PROJECT_BINARY_DIR}/../../../libtifiles/trunk:${PROJECT_BINARY_DIR}/../../../libticables/trunk:${PROJECT_BINARY_DIR}/..")

add_custom_target(ticalcs2_check
    COMMAND ${CMAKE_COMMAND} -E env LD_LIBRARY_PATH="${builddirlibpaths}" ${CMAKE_CURRENT_BINARY_DIR}/torture_ticalcs
    DEPENDS torture_ticalcs
    COMMENT "Run the ticalcs2 torture tests"
    EXCLUDE_FROM_ALL
)

=== debian/changelog ===
libticalcs (1.1.10~git20231126.f67c953+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:46:21 +0000

libticalcs (1.1.10~git20231126.f67c953+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:30:17 +0000

libticalcs (1.1.10~git20231126.f67c953+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.10~git20231126.f67c953+dfsg
  * Refresh patches.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 05 Jan 2024 12:28:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libticalcs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,

=== debian/tests/control ===
Tests: make-check
Depends: libticalcs-dev, @builddeps@
Restrictions: allow-stderr

## libticalcs 1.1.10~git20240415.7c4858d+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,9 +65,17 @@
 # external deps lookup
 if(TRY_STATIC_LIBS)
     # from libticables and libtifiles...
-    set(external_deps_if_static "libusb-1.0>=1.0.16" "libarchive")
+    if(WIN32)
+        set(external_deps_if_static "libarchive")
+    else()
+        set(external_deps_if_static "libusb-1.0>=1.0.16" "libarchive")
+    endif()
 endif()
-pkg_check_modules(DEPS REQUIRED glib-2.0 zlib ${external_deps_if_static})
+pkg_check_modules(DEPS REQUIRED glib-2.0 ${external_deps_if_static})
+if(WIN32)
+    list(APPEND DEPS_LIBRARIES "libusb0")
+    list(APPEND DEPS_STATIC_LIBRARIES "libusb0")
+endif()
 
 try_static_libs_if_needed()

=== debian/changelog ===
libticalcs (1.1.10~git20240415.7c4858d+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.10~git20240415.7c4858d+dfsg
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Switch to newer pkgconf.
  * Refresh patch.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 29 May 2024 19:18:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libticalcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
@@ -11,9 +10,9 @@
                libticonv-dev,
                libtifiles-dev,
                libusb-1.0-0-dev,
-               pkg-config,
+               pkgconf,
                tfdocgen
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/debrouxl/tilibs
@@ -29,7 +28,7 @@
          libticalcs2-13 (= ${binary:Version}),
          libticonv-dev,
          libtifiles-dev,
-         pkg-config,
+         pkgconf,
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Texas Instruments calculator communication library [development files]

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:

	dh $@

override_dh_clean:
	dh_clean --exclude=build/mingw/ticalcs2.rc~
